Migration nach PHP 5.3

Die Hoffnungen, dass PHP 5.3 voll abwärtskompatibel zu Version 5.2 werden würde, haben sich leider zerschlagen. Code, der in PHP 5.2 fehlerfrei lief, kann in 5.3 zu Fehlern führen oder Warnings ausgeben. Stas Malyshev hat nun ein Skript veröffentlicht, mit dem sich die Migration auf das aktuelle PHP-Version leichter bewerkstelligen lässt.

Quelle: PHP Magazin

Migration Skript von Stas Malyshev

miration.php wordpress (Version 2.9.2) ergab folgende Fehlermeldungen

http://www.oos-shop.de/service/blog/wp_php_5_3.txt